#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include <QString>
#include <QTime>
#include <QDateTime>
#include <QWebPage>
#include <QWebFrame>
#include <QWebElement>
#include <QWebElementCollection>
#include <QString>
#include <QStringList>
#include <QResource>

namespace Ui {
    class MainWindow;
}

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    explicit MainWindow(QWidget *parent = 0);
    ~MainWindow();

private:
    Ui::MainWindow *ui;
    QString utc_time;
    QTime utc;
    QDateTime utc_dt;
    int min;
    int sec;
    int old_sec;
    int old_min;
    int my_min;
    float m;
    float mm;
    float s;

    QResource my_qrc;
    QWebPage page;
    QWebPage *idata;
    QWebFrame *iframe;
    QWebElement document;
    QWebElementCollection collection;
    QWebElement table2;
    QWebElement table2_data;
    QWebElementCollection tr_collection;
    QWebElementCollection td_collection;
    QWebElement tr_data;
    QWebElement td_data;
    QString td_raw;

private slots:

   void on_checkBox_18_clicked();
   void on_checkBox_17_clicked();
   void on_checkBox_16_clicked();
   void on_checkBox_15_clicked();
   void on_checkBox_14_clicked();
   void on_checkBox_13_clicked();
   void on_checkBox_12_clicked();
   void on_checkBox_11_clicked();
   void on_checkBox_10_clicked();
   void on_checkBox_9_clicked();
   void on_checkBox_8_clicked();
   void on_checkBox_7_clicked();
   void on_checkBox_6_clicked();
   void on_checkBox_5_clicked();
   void on_checkBox_4_clicked();
   void on_checkBox_3_clicked();
   void on_checkBox_2_clicked();
   void on_checkBox_1_clicked();
   void up_to_date();
   void bcn_status();
   void parse_web_page();
   void load_web_page();

};

#endif // MAINWINDOW_H
